XML System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.SystemException

Represents the error that occurs when an XML document or fragment cannot be parsed.

To be added.
- Constructor

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance to a system-supplied message that describes the error, such as "An XML error has occurred." This message takes into account the current system culture.

  The property is initialized to . The and properties are initialized to zero.

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance using . If the parameter is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments.

  The property is initialized to . The and properties are initialized to zero.

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.
  To be added.
  To be added.
  To be added.
  1.0.5000.0
  2.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  An instance of that is the cause of the current exception. If is not a reference, the current exception was raised in a catch block handling .
  To be added.

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance using and the property using . If the parameter is , the property is set to the system-supplied message provided by the constructor that takes no arguments.

  The and properties are initialized to zero.

  For more information on inner exceptions, see .

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A that describes the error. The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  An instance of that is the cause of the current Exception. If is non-null, then the current Exception was raised in a catch block handling .
  A that specifies the line number where the error occurred.
  A that specifies the character position where the error occurred.

  Constructs and initializes a new instance of the class.

  This constructor initializes the property of the new instance using , the property using , the property using , and the property using . If the parameter is , the property is initialized to the system-supplied message provided by the constructor that takes no arguments.

  For information on inner exceptions, see .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Int32

  Gets the line number where the error occurred.

  A containing the line number where the error occurred.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Int32

  Gets the character position where the error occurred.

  A containing the character position where the error occurred.

  This property is read-only.

  The first character in the line is in position 1. Note that white space characters at the start of the line are not skipped.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String

  Gets the error message that describes the current exception.

  A containing the error message that describes the current exception.

  This property is read-only.

  If the property is not equal to zero, the string returned by this property includes the values of the and properties.

  This property overrides .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added. To be added. To be added. 2.0.0.0
0